Page MenuHomePhabricator

Less_Exception_Parser: File `resources/lib/ooui/wikimedia-ui-base.less` not found. in ve.ui.CodeMirror.init.less
Closed, ResolvedPublicBUG REPORT

Description

What is the problem?

On beta I am seeing a few errors of the form:

2021-11-29 14:43:58 [319306f2d6453ce850098d42] deployment-mwmaint02 zhwiki 1.38.0-alpha exception ERROR: [319306f2d6453ce850098d42] [no req]   Less_Exception_Parser: File `resources/lib/ooui/wikimedia-ui-base.less` not found. in ve.ui.CodeMirror.init.less {"exception_url":"[no req]","reqId":"319306f2d6453ce850098d42","caught_by":"other"} 
[Exception Less_Exception_Parser] (/srv/mediawiki/php-master/vendor/wikimedia/less.php/lib/Less/Parser.php:2668) File `resources/lib/ooui/wikimedia-ui-base.less` not found. in ve.ui.CodeMirror.init.less
  #0 /srv/mediawiki/php-master/vendor/wikimedia/less.php/lib/Less/Parser.php(446): Less_Parser->Error(string)
  #1 /srv/mediawiki/php-master/vendor/wikimedia/less.php/lib/Less/Tree/Import.php(265): Less_Parser->parseFile(string, string, boolean)
  #2 /srv/mediawiki/php-master/vendor/wikimedia/less.php/lib/Less/Tree/Import.php(190): Less_Tree_Import->ParseImport(string, string, Less_Environment)
  #3 /srv/mediawiki/php-master/vendor/wikimedia/less.php/lib/Less/Tree/Ruleset.php(239): Less_Tree_Import->compile(Less_Environment)
  #4 /srv/mediawiki/php-master/vendor/wikimedia/less.php/lib/Less/Tree/Ruleset.php(227): Less_Tree_Ruleset->evalImports(Less_Environment)
  #5 /srv/mediawiki/php-master/vendor/wikimedia/less.php/lib/Less/Tree/Ruleset.php(69): Less_Tree_Ruleset->PrepareRuleset(Less_Environment)
  #6 /srv/mediawiki/php-master/vendor/wikimedia/less.php/lib/Less/Parser.php(190): Less_Tree_Ruleset->compile(Less_Environment)
  #7 /srv/mediawiki/php-master/includes/resourceloader/ResourceLoaderFileModule.php(1170): Less_Parser->getCss()
  #8 /srv/mediawiki/php-master/includes/resourceloader/ResourceLoaderFileModule.php(1038): ResourceLoaderFileModule->compileLessString(string, string, DerivativeResourceLoaderContext)
  #9 /srv/mediawiki/php-master/includes/resourceloader/ResourceLoaderFileModule.php(1014): ResourceLoaderFileModule->processStyle(string, string, string, DerivativeResourceLoaderContext)
  #10 /srv/mediawiki/php-master/includes/resourceloader/ResourceLoaderFileModule.php(991): ResourceLoaderFileModule->readStyleFile(string, DerivativeResourceLoaderContext)
  #11 /srv/mediawiki/php-master/includes/resourceloader/ResourceLoaderFileModule.php(420): ResourceLoaderFileModule->readStyleFiles(array, DerivativeResourceLoaderContext)
  #12 /srv/mediawiki/php-master/includes/resourceloader/ResourceLoaderModule.php(796): ResourceLoaderFileModule->getStyles(DerivativeResourceLoaderContext)
  #13 /srv/mediawiki/php-master/includes/resourceloader/ResourceLoaderModule.php(747): ResourceLoaderModule->buildContent(DerivativeResourceLoaderContext)
  #14 /srv/mediawiki/php-master/includes/resourceloader/ResourceLoader.php(1139): ResourceLoaderModule->getModuleContent(DerivativeResourceLoaderContext)
  #15 /srv/mediawiki/php-master/extensions/WikimediaMaintenance/blameStartupRegistry.php(137): ResourceLoader->makeModuleResponse(DerivativeResourceLoaderContext, array)
  #16 /srv/mediawiki/php-master/maintenance/doMaintenance.php(108): BlameStartupRegistry->execute()
  #17 /srv/mediawiki/php-master/extensions/WikimediaMaintenance/blameStartupRegistry.php(332): require_once(string)
  #18 /srv/mediawiki/multiversion/MWScript.php(116): require_once(string)
  #19 {main}

See a similar error in T296379.

Steps to reproduce problem

I don't know.

Event Timeline

Restricted Application added subscribers: Stang, Aklapper. · View Herald Transcript

Change 742580 had a related patch set uploaded (by Krinkle; author: Krinkle):

[mediawiki/extensions/CodeMirror@master] Fix invalid reference to core resources/ directory

https://gerrit.wikimedia.org/r/742580

Krinkle triaged this task as High priority.

Change 742580 merged by jenkins-bot:

[mediawiki/extensions/CodeMirror@master] Fix invalid reference to core resources/ directory

https://gerrit.wikimedia.org/r/742580

Change 744803 had a related patch set uploaded (by Jforrester; author: Krinkle):

[mediawiki/extensions/CodeMirror@wmf/1.38.0-wmf.12] Fix invalid reference to core resources/ directory

https://gerrit.wikimedia.org/r/744803

taavi raised the priority of this task from High to Unbreak Now!.Dec 8 2021, 3:13 PM
taavi added a subscriber: taavi.

Procedurally raising to UBN as an active train blocker. Backport is failing in Selenium tests, not sure if related to the patch or not.

cc: @dancy for awareness as current train conductor.

Change 744803 merged by Majavah:

[mediawiki/extensions/CodeMirror@wmf/1.38.0-wmf.12] Fix invalid reference to core resources/ directory

https://gerrit.wikimedia.org/r/744803

Mentioned in SAL (#wikimedia-operations) [2021-12-08T16:33:08Z] <taavi@deploy1002> Synchronized php-1.38.0-wmf.12/extensions/CodeMirror/resources/modules/ve-cm/ve.ui.CodeMirror.init.less: Backport: [[gerrit:744803|Fix invalid reference to core resources/ directory (T296639)]] (duration: 01m 06s)

Patch deployed. I ended up needing to force merge due to the unrelated test failure, I can reproduce it with an empty patch on wmf.12 but not on master so I assume it has already been fixed somewhere. Closing this task.